Bug 848785 - postgres SELECT query returns result in HTML
postgres SELECT query returns result in HTML
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI, Plugins (Show other bugs)
All Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-08-16 08:05 EDT by Jeeva Kandasamy
Modified: 2012-10-09 14:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
query result in HTML format (130.06 KB, image/png)
2012-08-16 08:05 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2012-08-16 08:05:57 EDT
Created attachment 604919 [details]
query result in HTML format

Description of problem:
Postgres SELECT query returns result in HTML syntax. It should be appeared as HTML Table. Hope this was designed for JON 2.x and in JON 3.x we are using GWT for GUI. Seems it's not working in GWT. We have to rewrite it for GWT. 

Version-Release number of selected component (if applicable):
Version: 3.1.1.ER2
Build Number: f546515:4eb3f2c
GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:

Steps to Reproduce:
1. Make a setup with Postgres resource.
2. Navigate to 'Inventory—>Services-->postgres-->Databases-->(select any DB)-->Operations-->Schedules-->New'.
3. 'Operation-->Invoke SQL-->Value something like 'SELECT * FROM <table_name>'
4. Do Schedule.
5. On the result you can see 

<table><th><td>id (int4)</td><td>test_reference (varchar)</td><td>creation_time (timestamp)</td></th><tr><td>1</td><td>RHQ-4.x-CLI-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-04-18 12:02:07.459258</td></tr><tr><td>3</td><td>RHQ-4.x-GUI-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-04-18 12:02:27.354403</td></tr><tr><td>4</td><td>RHQ-4.x-GUI-EAP-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-04-18 12:02:36.961811</td></tr><tr><td>5</td><td>RHQ-4.x-REST-GROOVY-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-04-18 12:02:53.050932</td></tr><tr><td>6</td><td>RHQ-4.x-REST-JAVA-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-04-18 12:03:03.554275</td></tr><tr><td>7</td><td>RHQ-4.x-GUI-CHECK_CONFIGURATION-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-04-18 20:55:31.004714</td></tr><tr><td>8</td><td>JON-3.x-GUI-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-06-16 13:15:37.913008</td></tr><tr><td>10</td><td>RHQ-4.x-EAP6-CLI-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-06-16 13:16:20.962986</td></tr><tr><td>13</td><td>RHQ-4.x-GUI-FRESH-INSTALL-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-06-16 13:17:40.507515</td></tr><tr><td>14</td><td>RHQ-4.x-GUI-IMPORT-RESOURCES-OVER-NIGHT-AUTOMATION-JOB</td><td>2012-06-16 13:18:07.051888</td></tr></table>
Actual results:
Result with HTML paramaters

Expected results:
Should display nicely readable format.

Additional info: Screen shot is attached

Note You need to log in before you can comment on or make changes to this bug.